## senlin 5.0.1

=== debian/changelog ===
senlin (5.0.1-2.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 18:01:04 +0000

senlin (5.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 10:26:29 +0000

senlin (5.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Switch to Python 3.
  * Also package examples and contrib folder in senlin-doc.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2018 15:13:18 +0000

senlin (4.0.0-4) unstable; urgency=medium

  [ David Rabel ]
  * Team upload.
  * Fix encoding in d/po/pt.po.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 12:49:11 +0000

senlin (4.0.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Added pt_BR.po (Closes: #861983).
  * Updated fr.po (Closes: #873469).
  * Updated pt.po (Closes: #876176).
  * Fixed minimum version of python-docker (Closes: #880127).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 10:36:50 +0000

senlin (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated VCS fields.
  * Ran wrap-and-sort -bast.
  * Drop sqlalchemy version patch.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * debian/rules: remove things defined by openstack-pkg-tools.
  * Fixed oslo-config-generator namespace list.
  * Remove dh-systemd build-depends (not needed with debhelper 10).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Oct 2017 16:30:25 +0000

=== debian/control ===
Source: senlin
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 python3-babel,
 python3-coverage,
 python3-docker (>= 2.4.2),
 python3-eventlet,
 python3-hacking,
 python3-jsonpath-rw,
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-microversion-parse,
 python3-migrate (>= 0.11.0),
 python3-mock,
 python3-openstackdocstheme (>= 1.16.0),
 python3-openstacksdk (>= 0.9.19),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko,
 python3-pastedeploy,
 python3-pep8,
 python3-pymysql,
 python3-reno,
 python3-requests (>= 2.14.2),
 python3-routes,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-tz,
 python3-webob (>= 1.7.1),
 python3-yaml,
 subunit,
 tempest (>= 1:16.1.0),
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/senlin
Vcs-Git: https://salsa.debian.org/openstack-team/services/senlin.git
Homepage: https://github.com/stackforge/senlin

Package: python3-senlin
Section: python
Architecture: all
Depends:
 python3-babel,
 python3-docker (>= 2.4.2),
 python3-eventlet,
 python3-jsonpath-rw,
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-microversion-parse,
 python3-migrate (>= 0.11.0),
 python3-openstacksdk (>= 0.9.19),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.4.0),
 python3-pastedeploy,
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-routes,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-tz,
 python3-webob (>= 1.7.1),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-senlin,
Description: clustering service for OpenStack clouds - Python 2.7
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the Python 2.7 library.

Package: senlin-api
Architecture: all
Depends:
 adduser,
 senlin-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: clustering service for OpenStack clouds - API
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the REST API daemon.

Package: senlin-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-senlin (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: clustering service for OpenStack clouds - common files
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides common files and configuration.

Package: senlin-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: clustering service for OpenStack clouds - docs
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package contains the documentation.

Package: senlin-engine
Architecture: all
Depends:
 adduser,
 senlin-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: clustering service for OpenStack clouds - Engine
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the engine daemon.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	python3 setup.py clean

override_dh_clean:
	rm -rf build
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -f debian/senlin-common.config debian/senlin-common.postinst debian/senlin-api.config debian/senlin-api.postinst
	rm -rf debian/CHANGEME-common.postrm debian/*.templates debian/po
	dh_clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func senlin-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func senlin-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func senlin-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func senlin-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm senlin-common.postrm
	pkgos-merge-templates senlin-api senlin endpoint
	pkgos-merge-templates senlin-common senlin db rabbit ksat

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/senlin-doc/usr/share/doc/senlin-doc/html
	rm $(CURDIR)/debian/senlin-doc/usr/share/doc/senlin-doc/html/search.html
	rm -rf $(CURDIR)/debian/senlin-doc/usr/share/doc/senlin-doc/html/.doctrees
	dh_sphinxdoc
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	echo "Do nothing..."

override_dh_auto_install:
	rm -rf $(CURDIR)/debian/tmp
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'senlin\.tests\.unit\.(?!(.*test_common_context.TestRequestContext.test_request_context_from_dict.*|.*test_common_context.TestRequestContext.test_request_context_init.*|.*test_common_context.TestRequestContext.test_request_context_update.*))'
endif
	cp -auxf senlin/db/sqlalchemy/migrate_repo $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin/db/sqlalchemy
	mkdir -p $(CURDIR)/debian/senlin-common/usr/share/senlin-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/senlin-common/usr/share/senlin-common/senlin.conf \
		--wrap-width 140 \
		--namespace senlin.config \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/senlin-common/usr/share/senlin-common/senlin.conf keystone_authtoken senlin

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/senlin-common/usr/share/senlin-common/policy.json \
		--format json \
		--namespace senlin

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/senlin/tags .*/(\d[\d\.]+)\.tar\.gz

## senlin 6.0.0~b2

=== debian/changelog ===
senlin (6.0.0~b2-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-senlin package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      senlin-common depends on python-senlin by default and python3-senlin
      as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-senlin packages.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/python(3)-senlin.post*, d/python(3)-senlin.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-senlin.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for senlin daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
  * d/watch: Scope to 6.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/Fix_unit_tests_to_make_py36_happy.patch: Dropped. Fixed in new
    upstream milestone.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Jun 2018 11:49:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: senlin
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -9,29 +10,78 @@
  dh-python,
  openstack-pkg-tools (>= 74~),
  po-debconf,
+ python-all,
+ python-pbr (>= 2.0.0),
+ python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  git,
- python3-babel,
- python3-coverage,
+ python-babel (>= 2.3.4),
+ python-coverage (>= 4.0),
+ python-docker (>= 2.4.2),
+ python-eventlet (>= 0.18.2),
+ python-hacking (>= 0.12.0),
+ python-jsonpath-rw (>= 1.2.0),
+ python-jsonschema (>= 2.6.0),
+ python-keystoneauth1 (>= 3.4.0),
+ python-keystonemiddleware (>= 4.17.0),
+ python-microversion-parse (>= 0.2.1),
+ python-migrate (>= 0.11.0),
+ python-mock (>= 2.0.0),
+ python-openstackdocstheme (>= 1.18.1),
+ python-openstacksdk (>= 0.11.2),
+ python-os-testr (>= 1.0.0),
+ python-oslo.config (>= 1:5.2.0),
+ python-oslo.context (>= 1:2.19.2),
+ python-oslo.db (>= 4.27.0),
+ python-oslo.i18n (>= 3.15.3),
+ python-oslo.log (>= 3.36.0),
+ python-oslo.messaging (>= 5.29.0),
+ python-oslo.middleware (>= 3.31.0),
+ python-oslo.policy (>= 1.30.0),
+ python-oslo.serialization (>= 2.18.0),
+ python-oslo.service (>= 1.24.0),
+ python-oslo.utils (>= 3.33.0),
+ python-oslo.versionedobjects (>= 1.31.2),
+ python-oslotest (>= 1:3.2.0),
+ python-osprofiler (>= 1.4.0),
+ python-paramiko,
+ python-pastedeploy (>= 1.5.0),
+ python-pep8,
+ python-pymysql (>= 0.7.6),
+ python-reno (>= 2.5.0),
+ python-requests (>= 2.14.2),
+ python-routes (>= 2.3.1),
+ python-six (>= 1.10.0),
+ python-sqlalchemy (>= 1.0.10),
+ python-stestr,
+ python-stevedore (>= 1:1.20.0),
+ python-tempest (>= 1:17.1.0),
+ python-testscenarios (>= 0.4),
+ python-testtools (>= 2.2.0),
+ python-tz (>= 2013.6),
+ python-webob (>= 1:1.7.1),
+ python-yaml (>= 3.12),
+ python3-babel (>= 2.3.4),
+ python3-coverage (>= 4.0),
  python3-docker (>= 2.4.2),
- python3-eventlet,
- python3-hacking,
- python3-jsonpath-rw,
+ python3-eventlet (>= 0.18.2),
+ python3-hacking (>= 0.12.0),
+ python3-jsonpath-rw (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
- python3-microversion-parse,
+ python3-microversion-parse (>= 0.2.1),
  python3-migrate (>= 0.11.0),
- python3-mock,
- python3-openstackdocstheme (>= 1.16.0),
- python3-openstacksdk (>= 0.9.19),
+ python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-openstacksdk (>= 0.11.2),
  python3-os-testr (>= 1.0.0),
- python3-oslo.config (>= 1:5.1.0),
- python3-oslo.context (>= 2.19.2),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
@@ -45,45 +95,103 @@
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 1.4.0),
  python3-paramiko,
- python3-pastedeploy,
+ python3-pastedeploy (>= 1.5.0),
  python3-pep8,
- python3-pymysql,
- python3-reno,
+ python3-pymysql (>= 0.7.6),
+ python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
- python3-routes,
- python3-six,
- python3-sqlalchemy,
- python3-stevedore (>= 1.20.0),
+ python3-routes (>= 2.3.1),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stestr,
+ python3-stevedore (>= 1:1.20.0),
  python3-tempest (>= 1:17.1.0),
- python3-testscenarios,
+ python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-tz,
- python3-webob (>= 1.7.1),
- python3-yaml,
+ python3-tz (>= 2013.6),
+ python3-webob (>= 1:1.7.1),
+ python3-yaml (>= 3.12),
  subunit,
  tempest (>= 1:16.1.0),
  testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/senlin
-Vcs-Git: https://salsa.debian.org/openstack-team/services/senlin.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/senlin
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/senlin
 Homepage: https://github.com/stackforge/senlin
+Testsuite: autopkgtest-pkg-python
+
+Package: python-senlin
+Section: python
+Architecture: all
+Depends:
+ python-babel (>= 2.3.4),
+ python-docker (>= 2.4.2),
+ python-eventlet (>= 0.18.2),
+ python-jsonpath-rw (>= 1.2.0),
+ python-jsonschema (>= 2.6.0),
+ python-keystoneauth1 (>= 3.4.0),
+ python-keystonemiddleware (>= 4.17.0),
+ python-microversion-parse (>= 0.2.1),
+ python-migrate (>= 0.11.0),
+ python-openstacksdk (>= 0.11.2),
+ python-oslo.config (>= 1:5.2.0),
+ python-oslo.context (>= 1:2.19.2),
+ python-oslo.db (>= 4.27.0),
+ python-oslo.i18n (>= 3.15.3),
+ python-oslo.log (>= 3.36.0),
+ python-oslo.messaging (>= 5.29.0),
+ python-oslo.middleware (>= 3.31.0),
+ python-oslo.policy (>= 1.30.0),
+ python-oslo.serialization (>= 2.18.0),
+ python-oslo.service (>= 1.24.0),
+ python-oslo.utils (>= 3.33.0),
+ python-oslo.versionedobjects (>= 1.31.2),
+ python-osprofiler (>= 1.4.0),
+ python-pastedeploy (>= 1.5.0),
+ python-pbr (>= 2.0.0),
+ python-requests (>= 2.14.2),
+ python-routes (>= 2.3.1),
+ python-six (>= 1.10.0),
+ python-sqlalchemy (>= 1.0.10),
+ python-stevedore (>= 1:1.20.0),
+ python-tz (>= 2013.6),
+ python-webob (>= 1:1.7.1),
+ python-yaml (>= 3.12),
+ ${misc:Depends},
+ ${python:Depends},
+Conflicts:
+ python3-senlin,
+Description: clustering service for OpenStack clouds - Python 2.7
+ Senlin is a clustering service for OpenStack clouds. It creates and operates
+ clusters of homogeneous objects exposed by other OpenStack services. The goal
+ is to make the orchestration of collections of similar objects easier.
+ .
+ Senlin provides RESTful APIs to users so that they can associate various
+ policies to a cluster. Sample policies include placement policy, load
+ balancing policy, health policy, scaling policy, update policy and so on.
+ .
+ Senlin is designed to be capable of managing different types of objects. An
+ object's lifecycle is managed using profile type implementations, which are
+ themselves plugins.
+ .
+ This package provides the Python 2.7 library.
 
 Package: python3-senlin
 Section: python
 Architecture: all
 Depends:
- python3-babel,
+ python3-babel (>= 2.3.4),
  python3-docker (>= 2.4.2),
- python3-eventlet,
- python3-jsonpath-rw,
+ python3-eventlet (>= 0.18.2),
+ python3-jsonpath-rw (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
- python3-microversion-parse,
+ python3-microversion-parse (>= 0.2.1),
  python3-migrate (>= 0.11.0),
- python3-openstacksdk (>= 0.9.19),
- python3-oslo.config (>= 1:5.1.0),
- python3-oslo.context (>= 2.19.2),
+ python3-openstacksdk (>= 0.11.2),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
@@ -95,34 +203,34 @@
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-osprofiler (>= 1.4.0),
- python3-pastedeploy,
+ python3-pastedeploy (>= 1.5.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
- python3-routes,
- python3-six,
- python3-sqlalchemy,
- python3-stevedore (>= 1.20.0),
- python3-tz,
- python3-webob (>= 1.7.1),
- python3-yaml,
+ python3-routes (>= 2.3.1),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stevedore (>= 1:1.20.0),
+ python3-tz (>= 2013.6),
+ python3-webob (>= 1:1.7.1),
+ python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
 Conflicts:
  python-senlin,
-Description: clustering service for OpenStack clouds - Python 2.7
- Senlin is a clustering service for OpenStack clouds. It creates and operates
- clusters of homogeneous objects exposed by other OpenStack services. The goal
- is to make the orchestration of collections of similar objects easier.
- .
- Senlin provides RESTful APIs to users so that they can associate various
- policies to a cluster. Sample policies include placement policy, load
- balancing policy, health policy, scaling policy, update policy and so on.
- .
- Senlin is designed to be capable of managing different types of objects. An
- object's lifecycle is managed using profile type implementations, which are
- themselves plugins.
- .
- This package provides the Python 2.7 library.
+Description: clustering service for OpenStack clouds - Python 3.x
+ Senlin is a clustering service for OpenStack clouds. It creates and operates
+ clusters of homogeneous objects exposed by other OpenStack services. The goal
+ is to make the orchestration of collections of similar objects easier.
+ .
+ Senlin provides RESTful APIs to users so that they can associate various
+ policies to a cluster. Sample policies include placement policy, load
+ balancing policy, health policy, scaling policy, update policy and so on.
+ .
+ Senlin is designed to be capable of managing different types of objects. An
+ object's lifecycle is managed using profile type implementations, which are
+ themselves plugins.
+ .
+ This package provides the Python 3.x library.
 
 Package: senlin-api
 Architecture: all
@@ -131,7 +239,6 @@
  senlin-common (= ${binary:Version}),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python3:Depends},
 Description: clustering service for OpenStack clouds - API
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
@@ -153,10 +260,9 @@
  adduser,
  dbconfig-common,
  debconf,
- python3-senlin (= ${binary:Version}),
+ python-senlin (= ${binary:Version}) | python3-senlin (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},
- ${python3:Depends},
 Description: clustering service for OpenStack clouds - common files
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
@@ -200,7 +306,6 @@
  senlin-common (= ${binary:Version}),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python3:Depends},
 Description: clustering service for OpenStack clouds - Engine
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,10 @@
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd
 
 override_dh_auto_clean:
+	python2 setup.py clean
 	python3 setup.py clean
 
 override_dh_clean:
@@ -43,17 +44,16 @@
 	echo "Do nothing..."
 
 override_dh_auto_install:
-	rm -rf $(CURDIR)/debian/tmp
-	for i in $(PYTHON3S) ; do \
-		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
-	done
+	rm -rf $(CURDIR)/debian/python-senlin
+	rm -rf $(CURDIR)/debian/python3-senlin
+	pkgos-dh_auto_install
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'senlin\.tests\.unit\.(?!(.*test_common_context.TestRequestContext.test_request_context_from_dict.*|.*test_common_context.TestRequestContext.test_request_context_init.*|.*test_common_context.TestRequestContext.test_request_context_update.*))'
+	pkgos-dh_auto_test 'senlin\.tests\.unit\.(?!(.*test_common_context.TestRequestContext.test_request_context_from_dict.*|.*test_common_context.TestRequestContext.test_request_context_init.*|.*test_common_context.TestRequestContext.test_request_context_update.*))'
 endif
-	cp -auxf senlin/db/sqlalchemy/migrate_repo $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin/db/sqlalchemy
+	cp -auxf senlin/db/sqlalchemy/migrate_repo $(CURDIR)/debian/python3-senlin/usr/lib/python3/dist-packages/senlin/db/sqlalchemy
 	mkdir -p $(CURDIR)/debian/senlin-common/usr/share/senlin-common
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-senlin/usr/lib/python3/dist-packages python3-oslo-config-generator \
 		--output-file $(CURDIR)/debian/senlin-common/usr/share/senlin-common/senlin.conf \
 		--wrap-width 140 \
 		--namespace senlin.config \
@@ -69,7 +69,7 @@
 		--namespace oslo.service.sslutils
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/senlin-common/usr/share/senlin-common/senlin.conf keystone_authtoken senlin
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-senlin/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/senlin-common/usr/share/senlin-common/policy.json \
 		--format json \
 		--namespace senlin

## senlin 6.0.0~rc1

=== debian/changelog ===
senlin (6.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 10:39:23 -0400

=== debian/control ===
--- 
+++ 
@@ -154,6 +154,7 @@
  python-six (>= 1.10.0),
  python-sqlalchemy (>= 1.0.10),
  python-stevedore (>= 1:1.20.0),
+ python-tenacity (>= 4.9.0),
  python-tz (>= 2013.6),
  python-webob (>= 1:1.7.1),
  python-yaml (>= 3.12),
@@ -210,6 +211,7 @@
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.0.10),
  python3-stevedore (>= 1:1.20.0),
+ python3-tenacity (>= 4.9.0),
  python3-tz (>= 2013.6),
  python3-webob (>= 1:1.7.1),
  python3-yaml (>= 3.12),

=== debian/tests/control ===
Tests: senlin-daemons, senlin-shebangs-py2
Depends: senlin-api, senlin-engine
Restrictions: needs-root

Tests: senlin-daemons, senlin-shebangs-py3
Depends: python3-senlin, senlin-api, senlin-engine
Restrictions: needs-root

## senlin 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
docker>=2.4.2 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
jsonschema<3.0.0,>=2.6.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0
openstacksdk>=0.11.2 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pytz>=2013.6 # MIT
PyYAML>=3.12 # MIT
requests>=2.14.2 # Apache-2.0
Routes>=2.3.1 # MIT
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
tenacity>=4.9.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# this is required for the docs build jobs
openstackdocstheme>=1.18.1 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
senlin (6.0.0-0ubuntu2) cosmic; urgency=medium

  * d/rules: Ensure /usr/etc is purged from python(3)-senlin packages

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 16:17:43 -0400

senlin (6.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-senlin conflicts on each other.
    - d/python(3)-senlin.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:45:16 -0400

=== debian/control ===
--- 
+++ 
@@ -160,8 +160,6 @@
  python-yaml (>= 3.12),
  ${misc:Depends},
  ${python:Depends},
-Conflicts:
- python3-senlin,
 Description: clustering service for OpenStack clouds - Python 2.7
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
@@ -217,8 +215,6 @@
  python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
-Conflicts:
- python-senlin,
 Description: clustering service for OpenStack clouds - Python 3.x
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
 	rm -rf $(CURDIR)/debian/python-senlin
 	rm -rf $(CURDIR)/debian/python3-senlin
 	pkgos-dh_auto_install
+	rm -rf $(CURDIR)/debian/python*-senlin/usr/etc/*
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test 'senlin\.tests\.unit\.(?!(.*test_common_context.TestRequestContext.test_request_context_from_dict.*|.*test_common_context.TestRequestContext.test_request_context_init.*|.*test_common_context.TestRequestContext.test_request_context_update.*))'

=== debian/tests/control ===
Tests: senlin-daemons, senlin-shebangs-py3
Depends: python3-senlin, senlin-api, senlin-engine
Restrictions: needs-root

Tests: senlin-daemons, senlin-shebangs-py2
Depends: senlin-api, senlin-engine
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/senlin/ senlin-(6\.\d.*)\.tar\.gz

## senlin 7.0.0~b1~git2018111913.0ddbc114

=== debian/changelog ===
senlin (7.0.0~b1~git2018111913.0ddbc114-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:48:35 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 74~),
+ openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
  python-all,
  python-pbr (>= 2.0.0),
@@ -19,52 +19,6 @@
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  git,
- python-babel (>= 2.3.4),
- python-coverage (>= 4.0),
- python-docker (>= 2.4.2),
- python-eventlet (>= 0.18.2),
- python-hacking (>= 0.12.0),
- python-jsonpath-rw (>= 1.2.0),
- python-jsonschema (>= 2.6.0),
- python-keystoneauth1 (>= 3.4.0),
- python-keystonemiddleware (>= 4.17.0),
- python-microversion-parse (>= 0.2.1),
- python-migrate (>= 0.11.0),
- python-mock (>= 2.0.0),
- python-openstackdocstheme (>= 1.18.1),
- python-openstacksdk (>= 0.11.2),
- python-os-testr (>= 1.0.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.19.2),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-oslo.versionedobjects (>= 1.31.2),
- python-oslotest (>= 1:3.2.0),
- python-osprofiler (>= 1.4.0),
- python-paramiko,
- python-pastedeploy (>= 1.5.0),
- python-pep8,
- python-pymysql (>= 0.7.6),
- python-reno (>= 2.5.0),
- python-requests (>= 2.14.2),
- python-routes (>= 2.3.1),
- python-six (>= 1.10.0),
- python-sqlalchemy (>= 1.0.10),
- python-stestr,
- python-stevedore (>= 1:1.20.0),
- python-tempest (>= 1:17.1.0),
- python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
- python-tz (>= 2013.6),
- python-webob (>= 1:1.7.1),
- python-yaml (>= 3.12),
  python3-babel (>= 2.3.4),
  python3-coverage (>= 4.0),
  python3-docker (>= 2.4.2),
@@ -78,7 +32,8 @@
  python3-migrate (>= 0.11.0),
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 1.18.1),
- python3-openstacksdk (>= 0.11.2),
+ python3-openstacksdk (>= 0.17.2),
+ python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
@@ -90,6 +45,7 @@
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-oslotest (>= 1:3.2.0),
@@ -103,7 +59,7 @@
  python3-routes (>= 2.3.1),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.0.10),
- python3-stestr,
+ python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-tempest (>= 1:17.1.0),
  python3-testscenarios (>= 0.4),
@@ -120,61 +76,6 @@
 Homepage: https://github.com/stackforge/senlin
 Testsuite: autopkgtest-pkg-python
 
-Package: python-senlin
-Section: python
-Architecture: all
-Depends:
- python-babel (>= 2.3.4),
- python-docker (>= 2.4.2),
- python-eventlet (>= 0.18.2),
- python-jsonpath-rw (>= 1.2.0),
- python-jsonschema (>= 2.6.0),
- python-keystoneauth1 (>= 3.4.0),
- python-keystonemiddleware (>= 4.17.0),
- python-microversion-parse (>= 0.2.1),
- python-migrate (>= 0.11.0),
- python-openstacksdk (>= 0.11.2),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.19.2),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-oslo.versionedobjects (>= 1.31.2),
- python-osprofiler (>= 1.4.0),
- python-pastedeploy (>= 1.5.0),
- python-pbr (>= 2.0.0),
- python-requests (>= 2.14.2),
- python-routes (>= 2.3.1),
- python-six (>= 1.10.0),
- python-sqlalchemy (>= 1.0.10),
- python-stevedore (>= 1:1.20.0),
- python-tenacity (>= 4.9.0),
- python-tz (>= 2013.6),
- python-webob (>= 1:1.7.1),
- python-yaml (>= 3.12),
- ${misc:Depends},
- ${python:Depends},
-Description: clustering service for OpenStack clouds - Python 2.7
- Senlin is a clustering service for OpenStack clouds. It creates and operates
- clusters of homogeneous objects exposed by other OpenStack services. The goal
- is to make the orchestration of collections of similar objects easier.
- .
- Senlin provides RESTful APIs to users so that they can associate various
- policies to a cluster. Sample policies include placement policy, load
- balancing policy, health policy, scaling policy, update policy and so on.
- .
- Senlin is designed to be capable of managing different types of objects. An
- object's lifecycle is managed using profile type implementations, which are
- themselves plugins.
- .
- This package provides the Python 2.7 library.
-
 Package: python3-senlin
 Section: python
 Architecture: all
@@ -188,7 +89,7 @@
  python3-keystonemiddleware (>= 4.17.0),
  python3-microversion-parse (>= 0.2.1),
  python3-migrate (>= 0.11.0),
- python3-openstacksdk (>= 0.11.2),
+ python3-openstacksdk (>= 0.17.2),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.27.0),
@@ -199,6 +100,7 @@
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-osprofiler (>= 1.4.0),
@@ -215,20 +117,20 @@
  python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
-Description: clustering service for OpenStack clouds - Python 3.x
- Senlin is a clustering service for OpenStack clouds. It creates and operates
- clusters of homogeneous objects exposed by other OpenStack services. The goal
- is to make the orchestration of collections of similar objects easier.
- .
- Senlin provides RESTful APIs to users so that they can associate various
- policies to a cluster. Sample policies include placement policy, load
- balancing policy, health policy, scaling policy, update policy and so on.
- .
- Senlin is designed to be capable of managing different types of objects. An
- object's lifecycle is managed using profile type implementations, which are
- themselves plugins.
- .
- This package provides the Python 3.x library.
+Description: clustering service for OpenStack clouds - Python 3
+ Senlin is a clustering service for OpenStack clouds. It creates and operates
+ clusters of homogeneous objects exposed by other OpenStack services. The goal
+ is to make the orchestration of collections of similar objects easier.
+ .
+ Senlin provides RESTful APIs to users so that they can associate various
+ policies to a cluster. Sample policies include placement policy, load
+ balancing policy, health policy, scaling policy, update policy and so on.
+ .
+ Senlin is designed to be capable of managing different types of objects. An
+ object's lifecycle is managed using profile type implementations, which are
+ themselves plugins.
+ .
+ This package provides the Python 3 library.
 
 Package: senlin-api
 Architecture: all
@@ -258,7 +160,7 @@
  adduser,
  dbconfig-common,
  debconf,
- python-senlin (= ${binary:Version}) | python3-senlin (= ${binary:Version}),
+ python3-senlin (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},
 Description: clustering service for OpenStack clouds - common files

## senlin 7.0.0~b1~git2019013112.2abc1e3e

=== requirements.txt ===
--- 
+++ 
@@ -11,17 +11,19 @@
 keystoneauth1>=3.4.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0
-openstacksdk>=0.11.2 # Apache-2.0
+openstacksdk>=0.17.2 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
+oslo.reports>=1.18.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.policy>=1.30.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0

## senlin 7.0.0~b1

=== debian/changelog ===
senlin (7.0.0~b1-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 7.x series.
  * New upstream milestone for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 21:36:55 -0400

senlin (7.0.0~b1~git2019013112.2abc1e3e-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 12:48:20 -0500

## senlin 7.0.0~rc1

=== debian/changelog ===
senlin (7.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 10:38:12 -0400

## senlin 7.0.0

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 keystoneauth1>=3.4.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0
-openstacksdk>=0.17.2 # Apache-2.0
+openstacksdk>=0.24.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0

=== debian/changelog ===
senlin (7.0.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 12 Apr 2019 11:21:09 +0000

senlin (7.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:33:37 +0100

=== debian/control ===
--- 
+++ 
@@ -20,9 +20,11 @@
 Build-Depends-Indep:
  git,
  python3-babel (>= 2.3.4),
+ python3-bandit (>= 1.1.0),
  python3-coverage (>= 4.0),
  python3-docker (>= 2.4.2),
  python3-eventlet (>= 0.18.2),
+ python3-flake8 (>= 2.5.4),
  python3-hacking (>= 0.12.0),
  python3-jsonpath-rw (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
@@ -32,7 +34,7 @@
  python3-migrate (>= 0.11.0),
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 1.18.1),
- python3-openstacksdk (>= 0.17.2),
+ python3-openstacksdk (>= 0.24.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.config (>= 1:5.2.0),
@@ -43,6 +45,7 @@
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
+ python3-oslo.reports (>= 1.18.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 0.1.0),
@@ -62,6 +65,7 @@
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-tempest (>= 1:17.1.0),
+ python3-tenacity (>= 5.0.3),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-tz (>= 2013.6),
@@ -89,7 +93,7 @@
  python3-keystonemiddleware (>= 4.17.0),
  python3-microversion-parse (>= 0.2.1),
  python3-migrate (>= 0.11.0),
- python3-openstacksdk (>= 0.17.2),
+ python3-openstacksdk (>= 0.24.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.27.0),
@@ -98,6 +102,7 @@
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
+ python3-oslo.reports (>= 1.18.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 0.1.0),
@@ -111,7 +116,7 @@
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.0.10),
  python3-stevedore (>= 1:1.20.0),
- python3-tenacity (>= 4.9.0),
+ python3-tenacity (>= 5.0.3),
  python3-tz (>= 2013.6),
  python3-webob (>= 1:1.7.1),
  python3-yaml (>= 3.12),

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,9 @@
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
 
 override_dh_auto_clean:
-	python2 setup.py clean
 	python3 setup.py clean
 
 override_dh_clean:
@@ -44,13 +43,12 @@
 	echo "Do nothing..."
 
 override_dh_auto_install:
-	rm -rf $(CURDIR)/debian/python-senlin
 	rm -rf $(CURDIR)/debian/python3-senlin
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 	rm -rf $(CURDIR)/debian/python*-senlin/usr/etc/*
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'senlin\.tests\.unit\.(?!(.*test_common_context.TestRequestContext.test_request_context_from_dict.*|.*test_common_context.TestRequestContext.test_request_context_init.*|.*test_common_context.TestRequestContext.test_request_context_update.*))'
+	pkgos-dh_auto_test --no-py2 'senlin\.tests\.unit\.(?!(.*test_common_context.TestRequestContext.test_request_context_from_dict.*|.*test_common_context.TestRequestContext.test_request_context_init.*|.*test_common_context.TestRequestContext.test_request_context_update.*))'
 endif
 	cp -auxf senlin/db/sqlalchemy/migrate_repo $(CURDIR)/debian/python3-senlin/usr/lib/python3/dist-packages/senlin/db/sqlalchemy
 	mkdir -p $(CURDIR)/debian/senlin-common/usr/share/senlin-common

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/senlin/ senlin-(7\.\d.*)\.tar\.gz
